library ieee;
use ieee.std_logic_1164.all;
use IEEE.numeric_std.all;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.ieee_ext.all;

entity count is
 
port  (     clk        : in std_logic;
            rst_n      : in std_logic;
            pulse_out  : out std_logic
      );
end count;
architecture rtl8 of count is





signal outd: std_logic;

signal count: std_logic_vector(31 downto 0);

begin


---------------------------------------------------------------
process (clk,rst_n)
begin
 if (rst_n='0') then
  count <= x"00000000";  --default state on reset.
elsif (rising_edge(clk)) then
  if count = x"ffffffff" then
       count <= x"00000000";
  else 
      count <= count + 1;
end if;
end if;
end process;

process (clk,rst_n)
begin
 if (rst_n='0') then
  outd <= '0';  --default state on reset.
elsif (rising_edge(clk)) then
  if count = x"ffffffff" then
       outd <= not outd;
  else 
      outd <= outd;
end if;
end if;
end process;



  pulse_out <= outd;			  
			  
end rtl8;