set chanC [add_service dashboard dashboard_example "Channel C" "Tools/Example"]
dashboard_set_property $chanC self visible true

set chanD [add_service dashboard dashboard_ "Channel D" "Tools/Example"]
dashboard_set_property $chanD self visible true

set name "my_label"
set widget_type "label"
set parent "self"
dashboard_add $dash $name $widget_type $parent

set content "Text to display goes here"
dashboard_set_property $dash $name text $content

dashboard_add $dash my_label_2 label self
dashboard_set_property $dash my_label_2 text "Another label"

dashboard_set_property $dash self itemsPerRow 1

set name "my_text_field"
set widget_type "textField"
set parent "self"
dashboard_add $dash $name $widget_type $parent

dashboard_set_property $dash my_text_field expandableX true


proc update_my_label_with_my_text_field {dash} {
set content [dashboard_get_property $dash my_text_field text]
dashboard_set_property $dash my_label text $content
}

dashboard_set_property $dash my_text_field onChange "update_my_label_with_my_text_field $dash"

proc append_to_my_label_2 {dash suffix} {
set old_text [dashboard_get_property $dash my_label_2 text]
set new_text "${old_text}${suffix}"
dashboard_set_property $dash my_label_2 text $new_text
}
set text_to_append ", and more"
dashboard_add $dash my_button button self
dashboard_set_property $dash my_button onClick [list append_to_my_label_2 $dash$text_to_append]

dashboard_add $dash my_inner_group group self
dashboard_set_property $dash my_inner_group itemsPerRow 3
dashboard_add $dash inner_button_1 button my_inner_group
dashboard_add $dash inner_button_2 button my_inner_group
dashboard_add $dash inner_button_3 button my_inner_group

dashboard_set_property $dash inner_group title ""