
namespace eval QSYS_HEADER {

    variable FPGA_ONLY_MASTER_ONCHIP_MEMORY2_0_BASE 0x0
    variable FPGA_ONLY_MASTER_LMK04826_SPI_BASE 0x10100
    variable FPGA_ONLY_MASTER_ADS34J45_SPI_BASE 0x10200
    variable FPGA_ONLY_MASTER_LED_PIO_BASE 0x10040
    variable FPGA_ONLY_MASTER_BUTTON_PIO_BASE 0x100c0
    variable FPGA_ONLY_MASTER_SYSID_QSYS_BASE 0x10000
    variable FPGA_ONLY_MASTER_SYSID_QSYS_ID 0xacd51302
    variable FPGA_ONLY_MASTER_SYSID_QSYS_TIMESTAMP 1406735665
    variable FPGA_ONLY_MASTER_JTAG_UART_BASE 0x448
    variable FPGA_ONLY_MASTER_JESD204B_CTRL_BASE 0x80000
    variable FPGA_ONLY_MASTER_ADS_PDN_BASE 0x10400
    variable FPGA_ONLY_MASTER_ADS_RESET_BASE 0x10800

    #
    # spi master registers
    #
    variable SPI_RXDATA 0x00
    variable SPI_TXDATA 0x04
    variable SPI_STATUS 0x08
    variable SPI_CONTROL 0x0C
    variable SPI_SELECT 0x14

    #
    # serdes registers
    #
    variable REG_USER_BASE 0x80000

    variable REG_RX_JESD_BASE [ expr {$REG_USER_BASE + 0x00000}]
    variable REG_TX_JESD_BASE [ expr {$REG_USER_BASE + 0x01000}]
    variable REG_TOP_BASE [ expr {$REG_USER_BASE} + 0x02000]
    #variable REG_RECONFIG_BASE [ expr {$REG_USER_BASE + 0x03000}]

    variable REG_SERDES_LOOP [ expr {$REG_TOP_BASE} + 0x00014]
    variable REG_SERDES_RESET [ expr {$REG_TOP_BASE} + 0x00030] 
    variable REG_JESD_RESET [ expr {$REG_TOP_BASE} + 0x00034]
    variable REG_DEVICE_RESET [ expr {$REG_TOP_BASE} + 0x00038]
    variable REG_TOP_SYSREF_PERIOD [ expr {$REG_TOP_BASE} + 0x00048]
    variable REG_TOP_SYSREF_CTRL [ expr {$REG_TOP_BASE} + 0x0004C]
    variable REG_TOP_N_CHECK [ expr {$REG_TOP_BASE} + 0x00058]

    #variable REG_JESD_TX_ILA+0
    #variable REG_JESD_TX_ILA+1
    #variable REG_JESD_TX_ILA+2
    #variable REG_JESD_TX_ILA+3

    variable REG_RX_JESD_CS [ expr {$REG_RX_JESD_BASE} + 0x00004]
    variable REG_RX_JESD_F [ expr {$REG_RX_JESD_BASE} + 0x00008]
    variable REG_RX_JESD_HD [ expr {$REG_RX_JESD_BASE} + 0x0000c]
    variable REG_RX_JESD_K [ expr {$REG_RX_JESD_BASE} + 0x00010]
    variable REG_RX_JESD_L [ expr {$REG_RX_JESD_BASE} + 0x00014]
    variable REG_RX_JESD_M [ expr {$REG_RX_JESD_BASE} + 0x00018]
    variable REG_RX_JESD_N [ expr {$REG_RX_JESD_BASE} + 0x0001C]
    variable REG_RX_JESD_NTOTAL [ expr {$REG_RX_JESD_BASE} + 0x00020]
    variable REG_RX_JESD_S [ expr {$REG_RX_JESD_BASE} + 0x00024]
    variable REG_RX_JESD_SCR [ expr {$REG_RX_JESD_BASE} + 0x00028]
    variable REG_RX_JESD_ENABLEMODULE [ expr {$REG_RX_JESD_BASE} + 0x0002c]
    variable REG_RX_JESD_TAILBITS [ expr {$REG_RX_JESD_BASE} + 0x00030]
    variable REG_JESD_RX_SYSREF_DELAY [ expr {$REG_RX_JESD_BASE} + 0x00044]




}

